Bug 295481 - ipw3945 fails to start on 2.6.18-8.1.10 update.
ipw3945 fails to start on 2.6.18-8.1.10 update.
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-09-18 17:13 EDT by Bob Relyea
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-20 15:16:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output from 2.6.18-8.1.10 kernel (boot debug) (26.09 KB, text/plain)
2007-09-19 13:11 EDT, Bob Relyea
no flags Details
dmesg output from 2.6.18-8.1.8 kernel (boot debug) (26.93 KB, text/plain)
2007-09-19 13:12 EDT, Bob Relyea
no flags Details
lspci output (1.88 KB, text/plain)
2007-09-19 13:13 EDT, Bob Relyea
no flags Details

  None (edit)
Description Bob Relyea 2007-09-18 17:13:21 EDT
Description of problem:
wireless network stops working after kernel upgrade.

Version-Release number of selected component (if applicable):
When I boot Kernel 2.6.18.-8.1.10, the ipw3925d fails to bring up a network.
Reverting back to 2.6.18-8.1.8 restores normal network operation.

How reproducible:

Steps to Reproduce:
1. Boot with wireless and no ethernet cable installed.
2. No network connection will be made.
Actual results:
Wireless network is not visible. service ip3945d start will fail to come up.

Expected results:
Wireless network is up and usable.

Additional info:
Reverting to -8.1.8 restores normal network operation.
Comment 1 Prarit Bhargava 2007-09-19 09:21:30 EDT

Can you please include:

- dmesg output (please boot with "debug" instead of "quiet" on the boot command
- lspci output


Comment 3 Bob Relyea 2007-09-19 13:11:18 EDT
Created attachment 199771 [details]
dmesg output from 2.6.18-8.1.10 kernel (boot debug)
Comment 4 Bob Relyea 2007-09-19 13:12:53 EDT
Created attachment 199791 [details]
dmesg output from 2.6.18-8.1.8 kernel (boot debug)
Comment 5 Bob Relyea 2007-09-19 13:13:17 EDT
Created attachment 199801 [details]
lspci output
Comment 6 Bob Relyea 2007-09-19 13:15:11 EDT
I'v attacked dmesg output from both working (8.1.8) and non-working (8.1.10)
versions of the kernel.

lspci is from 8.1.10 and is identical to the lspci output from 8.1.8 (which I
believe is expected).
Comment 7 Jon Masters 2007-09-19 13:28:13 EDT
Can you tell me if there's anything in the /lib/modules/`uname -r`/extra or
/lib/modules/`uname -r`/weak-updates directories for these kernels?

Also, the output of:

$ modinfo ipw3945


$ modprobe ipw3945

Comment 8 Jon Masters 2007-09-19 13:45:08 EDT
Well, I can install this kernel and boot into it, and I'm writing this comment
over the VPN running on this kernel with a 3945 WiFi driver...so hmmm. Could do
with a lot more information about your setup.

Comment 12 Jay Turner 2007-09-20 13:56:12 EDT
Bob, taking a stab in the dark here . . . does restarting NetworkManager make
this work ('service NetworkManager restart')  It might be a problem I've been
seeing but have been unable to reproduce on anything other than my personal laptop.
Comment 13 Bob Relyea 2007-09-20 14:32:12 EDT
Here's the versions I have:

bobs-laptop(57) rpm -q ipw3945
bobs-laptop(59) rpm -q ipw3945d
bobs-laptop(60) rpm -q ieee80211

Laptop is a T60W, running the vanilla kernel (not PAE or xen).

The symptoms are the same I get if I turn the wireless switch in the front of my
laptop off (ipw3645 tries to start, but no interface comes up in /proc)

bobs-laptop(231) ls 2.6.18-8.1.8.el5 2.6.18-8.1.10.el5
build           modules.dep          modules.pcimap    updates
extra           modules.ieee1394map  modules.seriomap  weak-updates
kernel          modules.inputmap     modules.symbols
modules.alias   modules.isapnpmap    modules.usbmap
modules.ccwmap  modules.ofmap        source

build   modules.alias        modules.inputmap   modules.seriomap  updates
extra   modules.ccwmap       modules.isapnpmap  modules.symbols
kernel  modules.dep          modules.ofmap      modules.usbmap
misc    modules.ieee1394map  modules.pcimap     source

 ls 2.6.18-8.1.8.el5/updates 2.6.18-8.1.10.el5/weak-updates


drivers  net

I'll get the modinfo and modprobe output after I reboot into the 8.1.10 kernel.
I'll also try removing rt2570.ko.


Comment 14 John W. Linville 2007-09-20 14:51:08 EDT
bobs-laptop(60) rpm -q ieee80211

Ummm...what is this?  Doesn't the ipw3945 module use the ieee80211 component 
already in the rhel5.1 kernel?
Comment 15 John W. Linville 2007-09-20 15:03:03 EDT
For that matter, what is ipw3945-1.2.0-18.3.el5?  Isn't the Supplementary 
package called kmod-ipw3945-1.0-4.7.el5?
Comment 16 John W. Linville 2007-09-20 15:08:01 EDT
So I guess the packages you used were built elsewhere, probably from the 
packages that are/were available on Intel's sourceforge page.  Can we verify 
that they are actually restricting themselves to only using whitelisted 
Comment 17 Bob Relyea 2007-09-20 15:16:43 EDT
Bingo. It seems I have  non-standard ipw driver installed. Removing the bad
driver and installing the correct kmon-ipw restores the functionality.

Closing bug invalid.


Note You need to log in before you can comment on or make changes to this bug.